Package Details: usbmuxd-git 1:1.1.0.r66.g9af2b12-1

Git Clone URL: https://aur.archlinux.org/usbmuxd-git.git (read-only, click to copy)
Package Base: usbmuxd-git
Description: A socket daemon to multiplex connections from and to iOS devices
Upstream URL: http://www.libimobiledevice.org/
Licenses: GPL2, GPL3
Conflicts: usbmuxd
Provides: usbmuxd
Submitter: intellitech
Maintainer: intelfx
Last Packager: intelfx
Votes: 28
Popularity: 0.013380
First Submitted: 2009-06-02 19:42
Last Updated: 2019-12-15 22:09

Dependencies (2)

Required by (6)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

sebikul commented on 2012-07-14 20:21

PKGBUILD updated. Moved files on lib/ to usr/lib/

Anonymous comment on 2012-07-14 15:34

/usr/lib/libxml2.so.2: undefined reference to `pow@GLIBC_2.2.5'
collect2: error: ld returned 1 exit status
make[2]: *** [daemon/usbmuxd] Error 1
make[1]: *** [daemon/CMakeFiles/usbmuxd.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build usbmuxd-git.
==> Restart building usbmuxd-git ? [y/N]

sebikul commented on 2012-06-26 23:38

According to [https://wiki.archlinux.org/index.php/Udev] udev rules must be installed in /usr/lib/udev/rules.d. udev rules written by the admin should be placed in /etc/udev/rules.d

m3thodic commented on 2012-06-26 23:30

Just a FYI, my iPod wasn't loading usbmuxd until I copied /lib/udev/rules.d/85-usbmuxd.rules to /etc/udev/rules.d/

sebikul commented on 2012-05-22 00:25

See https://aur.archlinux.org/packages.php?ID=35927 [libimobiledevice-git] for an important update!

jgottula commented on 2012-05-21 23:57

This currently installs to /usr/local/lib64, which is somewhat obscure and causes issues when programs don't know to look there. It's much cleaner to install to /usr/lib instead.

I'd take a look at the stable package's PKGBUILD, in particular its cmake invocation, which sets the prefix to /usr (/usr/local is the default, I believe). Hope that helps.
https://projects.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/usbmuxd

Wiki reference for /usr/local/ being a bad idea:
https://wiki.archlinux.org/index.php/Arch_Packaging_Standards#Package_etiquette

jgottula commented on 2012-05-21 23:06

The /usr/lib/libusbmuxd.so.1 symlink created as the last step in the package is an absolute link. So it ends up pointing to the original package directory.

Use ln -sr instead.

sebikul commented on 2012-05-20 00:03

See https://aur.archlinux.org/packages.php?ID=35927 [libimobiledevice-git] for an update

akspecs commented on 2012-04-18 10:45

If I replace usbmuxd on my system with this git version, upon reboot of the system there's an error upon startup along the lines of 'usbmux user not existing'.

But what's even more strange is my system doesn't know how to suspend or hibernate with this installed over 1.0.7-2 from the official repos. Perhaps it has to do with libusb.

I'm very turned off because I can't mount my iPhone 4S and I can't build libimobiledevice-git.

sebikul commented on 2012-04-14 02:19

I updated the package. The GIT repo was moved. AFAIK, the package builds, I could't test it tough. Please report any problems you have.